local playerClass = select(2,UnitClass("player"))
local L = AceLibrary("AceLocale-2.2"):new("DrDamage")

L:RegisterTranslations("enUS", function() return {
	["General"] = true,
	["General Options"] = true,
	["Modify Talents"] = true,
	["Modify talents manually. Modified talents are not saved between sessions."] = true,
	["Reset Talents"] = true,
	["Reset talents to your current talent configuration."] = true,
	["Options for the actionbar"] = true,
	["ActionBar"] = true,
	["Display"] = true,
	["Choose what to display on the actionbar"] = true,
	["Actionbar font size"] = true,
	["Set the font size"] = true,
	["Actionbar font effect"] = true,
	["Set the font effect"] = true,	
	["Actionbar font horizontal position"] = true,
	["Set the font horizontal position"] = true,
	["Actionbar font vertical position"] = true,
	["Set the font vertical position"] = true,
	["Damage text color"] = true,
	["Set the actionbar damage text color"] = true,
	["<r=n, g=n, b=n> where n is 0-1"] = true,
	["Heal text color"] = true,
	["Set the actionbar heal text color"] = true,
	["Damage spell casts left"] = true,
	["Toggles amount of casts left to display on actionbar for damaging spells"] = true,
	["Healing casts left"] = true,
	["Toggles amount of casts left to display on actionbar for heals"] = true,
	["Forces update to actionbar"] = true,
	["Update"] = true,
	["Updates actionbars on shift modifier key."] = true,
	["Toggles updates on modifier key on/off."] = true,
	["Updates actionbars on alt modifier key."] = true,
	["Updates actionbars on ctrl modifier key."] = true,
	["Support for Blizzard AB even with other AB addons running."] = true,
	["Toggles updating on for the default actionbar."] = true,
	["Tooltip"] = true,
	["Options for the tooltips"] = true,
	["Tooltip on/off"] = true,
	["Toggles the tooltip info on/off"] = true,
	["Display tooltip only when shift is pressed."] = true,
	["Toggles tooltip displaying with shift pressed on/off."] = true,	
	["Default tooltip colors"] = true,
	["Toggles the default blizzard tooltip colors on/off"] = true,
	["Show efficient +dmg/+healing"] = true,
	["Toggles displaying of efficient +dmg/+healing"] = true,
	["Show coefficients"] = true,
	["Toggles displaying of spell calculation data"] = true,
	["Show crit %"] = true,
	["Toggles displaying of crit %"] = true,
	["Show hit %"] = true,
	["Toggles displaying of hit %."] = true,
	["Show avg + hit range"] = true,
	["Toggles displaying of avg hit"] = true,
	["Show avg crit + crit range"] = true,
	["Toggles displaying of avg crit"] = true,
	["Show per tick/hit"] = true,
	["Toggles displaying of per hit/tick values"] = true,
	["Show avg total dmg/heal"] = true,
	["Toggles displaying of average in total values"] = true,
	["Show extra dmg/heal (DoT, Ignite, Chained)"] = true,
	["Toggles displaying of extra info"] = true,
	["Show next values (+1% crit, +10 dmg)"] = true,
	["Toggles displaying of +1% crit, +10 dmg values"] = true,
	["Show DPS/HPS"] = true,
	["Toggles displaying of DPS/HPS"] = true,
	["Show DPM/HPM"] = true,
	["Toggles displaying of DPM/HPM"] = true,
	["Show Damage/healing until OOM"] = true,
	["Toggles displaying of damage/healing until OOM"] = true,
	["Show casts and time until OOM."] = true,
	["Toggles displaying of casts and time until OOM (regen included)"] = true,
	["Show additional mana usage information."] = true,
	["Toggles displaying of true mana cost (if different) and mana per seconds cast"] = true,
	["Calculation"] = true,
	["Calculation options"] = true,
	["Include mana consumables into calculation"] = true,
	["Toggles usage of super mana potions (Mages, also mana gems) into casts left with regen calculation."] = true,	
	["Toggle usage of two roll hit calculation"] = true,
	["Toggles two roll hit calculation on. Don't change this unless you know what this does."] = true,
	["+Hit calculation"] = true,
	["Toggles +hit calculation effects into averages on/off"] = true,
	["Hit calculation by target level"] = true,
	["Toggles +hit calculation by target level."] = true,
	["Manual target level setting"] = true,
	["Manual set of target level compared to your level. Make sure 'HitTarget' is turned off to use this."] = true,
	["Manual target is a player."] = true,
	["Toggles if your manually set target is a player."] = true,
	["Manual variables"] = true,
	["Allows you to manually set damage/healing properties"] = true,
	["Manual damage adds to detected"] = true,
	["Allows you to set if manual values should add to detected values"] = true,
	["Healing"] = true,
	["Input your +healing"] = true,
	["Spell Damage"] = true,
	["Input your spell damage"] = true,
	["Fire Damage"] = true,
	["Input your fire +damage"] = true,
	["Shadow Damage"] = true,
	["Input your shadow +damage"] = true,
	["Frost Damage"] = true,
	["Input your frost +damage"] = true,
	["Nature Damage"] = true,
	["Input your nature +damage"] = true,
	["Arcane Damage"] = true,
	["Input your arcane +damage"] = true,
	["Holy Damage"] = true,
	["Input your holy +damage"] = true,
	["Manual critical rating"] = true,
	["Input critical rating you want to use."] = true,
	["Manual hit rating"] = true,
	["Input hit rating you want to use."] = true,
	
	["H"] = true,
	["Heal"] = true,
	["D"] = true,
	["Dmg"] = true,
	[" (eff.):"] = true,
	["Coeffs:"] = true,
	["Crit:"] = true,
	["Hit:"] = true,
	["Hits:"] = true,
	["Avg:"] = true,
	["Avg Heal:"] = true,
	["Avg Crit:"] = true,
	["Hits Heal:"] = true,
	["Ticks:"] = true,
	["Ticks Heal:"] = true,
	["Avg Chain:"] = true,
	["Ignite:"] = true,
	["DoT:"] = true,
	["Avg Total:"] = true,
	["+1% Total ("] = true,
	["Cr/Ht/"] = true,
	["Cr/"] = true,
	["Ht/"] = true,
	["PS/"] = true,
	["PSC:"] = true,
	["PS:"] = true,
	["PS (CD):"] = true,
	["PM:"] = true,
	[" until OOM:"] = true,
	["Casts (rgn):"] = true,
	["Casts:"] = true,
	["True Mana Cost:"] = true,
	["MPS:"] = true,
	
	["Outline"] = true,
	["ThickOutline"] = true,
	["None"] = true,
	
	["Modify "] = true,
	
	["Avg"] = true,
	["DPS"] = true,
	["DPSC"] = true,
	["AvgHit"] = true,
	["Min"] = true,
	["MaxHit"] = true,
	["AvgHitTotal"] = true,
	["Max"] = true,
	["DPM"] = true,
	["ManaCost"] = true,
	["TrueManaCost"] = true,
	["MPS"] = true,
} end)
